Subject: Add a way to extends the Account security model
Description

Currently it's not possible to extend the \TYPO3\FLOW3\Security\Account. I try to use the same configuration as in the TYPO3.Party
package.

1. I create a AbstractAccount abstract
2. I create Account that extension AbstractAccount

The AbstractAccount has the following annotations:

    -  @FLOW3\Entity
    -  @ORM\InheritanceType("JOINED")

When I start the doctrine:update (or migration), it fail with this message:

Uncaught Exception
  There is no column with name 'accountidentifier' on table
  'typo3_flow3_security_account'.

More Information
  Exception code      #30
  File               
/Users/dfeyer/Sites/dev/medialib.tv.ttree.dev/Packages/Framework/Doctrine.DBAL/Classes/Schema/SchemaException.php line
60

In my project I have a mutli domain application, where I need to apply a security policy, based on the current domain. I need to add a
"owner" field (and have this field as Identity, to allow the same username in different domain instance). We can sponsor, this feature if
needed.

When i check the Party package, I found no other configuration and/or annotation. What's wrong in my proposition ?

Bests,

Related issues:
related to TYPO3.Flow - Feature # 37372: Inheritance in ORM should be configu... Accepted 2012-05-21

History
#1 - 2012-11-06 11:25 - Steffen Ritter

I think this is a bug, not a feature - and the solution is quite simple - it's a onliner annotation.
Anyhow it is not really related to the party package.

Some explanation:
Doctrine needs to have the InheritanceType at the uppermost Entity. Therefore in current implementation it is just not possible to extend account.
Therefore with adding  * @ORM\InheritanceType("SINGLE_TABLE") to the Account solves the problem.

#2 - 2012-11-06 11:42 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/16232

#3 - 2014-03-11 09:48 - Bastian Waidelich
- Status changed from Under Review to Rejected
- Assigned To set to Bastian Waidelich

The corresponding change set has been abandoned (https://review.typo3.org/16232)
Feel free to comment or re-open if you don't agree
(I just assign this to myself to get updates)
